# Interface CSSImportRule

All Superinterfaces:
  `CSSRule`

public interface CSSImportRule extends CSSRule
The `CSSImportRule` interface represents a @import rule within a CSS style sheet. The `@import` rule is used to import style rules from other style sheets.

See also the Document Object Model (DOM) Level 2 Style Specification.

Since:
  1.4, DOM Level 2

## Field Summary

### Fields declared in interface CSSRule

`CHARSET_RULE, FONT_FACE_RULE, IMPORT_RULE, MEDIA_RULE, PAGE_RULE, STYLE_RULE, UNKNOWN_RULE`
Modifier and Type
Field
Description
`static final short`
`CHARSET_RULE`
The rule is a `CSSCharsetRule`.
`static final short`
`FONT_FACE_RULE`
The rule is a `CSSFontFaceRule`.
`static final short`
`IMPORT_RULE`
The rule is a `CSSImportRule`.
`static final short`
`MEDIA_RULE`
The rule is a `CSSMediaRule`.
`static final short`
`PAGE_RULE`
The rule is a `CSSPageRule`.
`static final short`
`STYLE_RULE`
The rule is a `CSSStyleRule`.
`static final short`
`UNKNOWN_RULE`
The rule is a `CSSUnknownRule`.

## Method Summary

Modifier and Type
Method
Description
`String`
`getHref()`
The location of the style sheet to be imported.
`MediaList`
`getMedia()`
A list of media types for which this style sheet may be used.
`CSSStyleSheet`
`getStyleSheet()`
The style sheet referred to by this rule, if it has been loaded.

### Methods declared in interface CSSRule

`getCssText, getParentRule, getParentStyleSheet, getType, setCssText`
Modifier and Type
Method
Description
`String`
`getCssText()`
The parsable textual representation of the rule.
`CSSRule`
`getParentRule()`
If this rule is contained inside another rule (e.g. a style rule inside an @media block), this is the containing rule.
`CSSStyleSheet`
`getParentStyleSheet()`
The style sheet that contains this rule.
`short`
`getType()`
The type of the rule, as defined above.
`void`
`setCssText(String cssText)`
The parsable textual representation of the rule.

## Method Details

### getHref

String getHref()
The location of the style sheet to be imported. The attribute will not contain the `"url(...)"` specifier around the URI.

### getMedia

MediaList getMedia()
A list of media types for which this style sheet may be used.

### getStyleSheet

CSSStyleSheet getStyleSheet()
The style sheet referred to by this rule, if it has been loaded. The value of this attribute is `null` if the style sheet has not yet been loaded or if it will not be loaded (e.g. if the style sheet is for a media type not supported by the user agent).